Subject: Re: bug#74952: [PATCH] guix-install.sh: Use "command -v nologin" instead of "which nologin".

From: Leo Famulari <[email-masked]>
Date: Wed, 18 Dec 2024 16:55:21 -0500

On Wed, Dec 18, 2024 at 09:35:27PM +0100, Simon Josefsson via Bug reports for GNU Guix wrote:
> Hi!
> 
> In a small container image, I do not have the 'which' tool installed.  I
> believe 'command -v' is always available since it is /bin/sh standard.
> How about changing the idiom for user/group additions from 'which' to
> 'command -v'?  See attached patch.

Agreed, I don't think we need to require `which` here.

It can also be removed from REQUIRE in 'etc/guix-install.sh'.